package com.persagy.apm.common.context;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 默认应用上下文
 * @author Charlie Yu
 * @version 1.0 2021-03-04
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class DefaultAppContext extends AppContext {

    /**
     * 用户主键
     */
    private String accountId;

    /**
     * 数据源名称
     */
    private String dataSourceName;

    private String projectId;
    private String appId;
    private String groupCode;
}
