package com.persagy.apm.common.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * poems 用户信息
 *
 * @author lixing
 * @version V1.0 2021/5/19 2:34 下午
 **/
@ApiModel
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PoemsPuser {
    @ApiModelProperty(value = "当前用户id")
    private String userId;
    @ApiModelProperty(value = "登录设备")
    private String loginDevice;
    @ApiModelProperty(value = "用户密码MD5值")
    private String pd;
}
