package com.persagy.apm.common.model.query;

/**
 * 表达式类型
 * @author Sun
 * @version 1.0 2017-9-2
 * @since 1.7
 */
public enum ExpressionType {

    /**
     * 简单值表达式
     */
    VALUE,
    /**
     * 逻辑表达式“与或”
     */
    LOGIC,

    /**
     * 链式逻辑表达式“与或”，表达式列表中的表达式并列与或者或
     */
    CHAIN,

    /**
     * sql表达式，只能在后端使用
     */
    SQL
}
