package com.persagy.apm.common.model.vo;

import com.persagy.apm.common.constant.enums.AttrValueTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * 图表条目vo类
 *
 * @author lixing
 * @version V1.0 2021/8/5 11:17 上午
 **/
@Data
@ApiModel
@AllArgsConstructor
public class GraphItemVO {
    @ApiModelProperty(value = "名称")
    private String name;
    @ApiModelProperty(value = "值")
    private Double value;
    @ApiModelProperty(value = "值类型")
    private AttrValueTypeEnum type;
    @ApiModelProperty(value = "单位")
    private String unit;
}
