package com.persagy.apm.common.response;

import com.persagy.common.constant.DMPConstant;
import com.persagy.common.utils.DMPResponseUtil;
import org.apache.poi.ss.formula.functions.T;

/**
 * apm数据中台结果处理通用类
 *
 * @author lixing
 * @version V1.0 2021/3/16 5:05 下午
 */
public class ApmDmpResponseUtil extends DMPResponseUtil {

    /**
     * 判断数据中台的分页查询是否成功
     *
     * @param pageResponse 数据中台分页查询结果
     * @return true/false
     * @author lixing
     * @version V1.0 2021/3/16 5:05 下午
     */
    public static boolean isSuccess(DmpPageResponse<T> pageResponse) {
        return DMPConstant.DMP_RESULT_VAL.equals(pageResponse.getResult());
    }
}
