package com.persagy.apm.common.utils;

import com.persagy.apm.common.exception.RpcException;

/**
 * @description: 数据中台异常消息工具类
 * @author: lixing
 * @company: Persagy Technology Co.,Ltd
 * @since: 2021/3/9 9:40 上午
 * @version: V1.0
 **/
public class DmpExceptionUtil {

    /**
     * @description: 抛出dmp接口调用异常
     * @param: interfaceName 接口名称
     * @return: void
     * @exception:
     * @author: lixing
     * @company: Persagy Technology Co.,Ltd
     * @since: 2021/3/10 5:34 下午
     * @version: V1.0
     */
    public static RpcException rpcException(String interfaceName) {
        String rpcExceptionMessage = "Dmp%s接口调用异常";
        return new RpcException(String.format(rpcExceptionMessage, interfaceName));
    }
}
