package com.persagy.apm.common.context.poems;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * poems上下文
 *
 * @author lixing
 * @version V1.0 2021/5/19 7:14 下午
 **/
@ApiModel
@Data
public class PoemsContextContent {
    @ApiModelProperty(value = "当前用户id")
    private String userId;
    @ApiModelProperty(value = "登录设备")
    private String loginDevice;
    @ApiModelProperty(value = "用户密码MD5值")
    private String pd;
    @ApiModelProperty(value = "集团编码")
    private String groupCode;
    @ApiModelProperty(value = "项目id")
    private String projectId;
}
